Multi-Factor Authentication (MFA)
List MFA Workflows
GET
Retrieves all configured multi-factor authentication workflows for the API key owner.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
List of configured MFA workflows
application/json- response
status?stringmessage?stringdata?array<>curl -X GET 'https://api.smspro.com/api/v1/public/mfa/workflows'Example Response
{ "status": "string", "message": "string", "data": [ { "id": "string", "name": "string", "senderId": "string", "codeLength": 0, "expiryMinutes": 0, "maxAttempts": 0, "resendCooldownSeconds": 0, "channel": "string", "isDefault": true, "isActive": true, "webhookUrl": "string", "defaultProofMode": "CHALLENGE_RESPONSE" } ]}